"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escape = exports.toSingleLine = void 0;
function toSingleLine(str, escapeChars) {
    if (str === void 0) { str = ''; }
    if (escapeChars === void 0) { escapeChars = true; }
    if (!str) {
        return '';
    }
    var newStr = str.trim()
        .replace(/[\r\n\t]+/g, '')
        .replace(/[\x20]{2,}/g, '');
    if (escapeChars) {
        newStr = escape(newStr.replace(/\|/g, '\\|'));
    }
    return newStr;
}
exports.toSingleLine = toSingleLine;
/**
 * Markdown will treat html tag like text as real tag when converted to html so we need to escape them
 * `<void >` => should be escaped
 * `< void >` => don't need to be escaped
 * `() => void` => don't need to be escaped
 */
function escape(str) {
    if (!str || !/<[a-zA-Z]+[^>]*>/.test(str)) {
        return str;
    }
    return str.replace(/</g, '&lt;').replace(/>/g, '&gt;');
}
exports.escape = escape;
